Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class StyleSheet.ListPainter

    java.lang.Object
      |
      +--javax.swing.text.html.StyleSheet.ListPainter

public static class StyleSheet.ListPainter
extends java.lang.Object
implements java.io.Serializable

class to carry out some of the duties of css list formatting. Implementations of this class enable views to present the css formatting while not knowing anything about how the css values are being cached.

See Also:
  Serialized Form

Method Summary
`void` | `paint(java.awt.Graphics g, float x, float y, float w, float h, View v, int item)` Paints the css list decoration according to the attributes given.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### paint

    public void paint(java.awt.Graphics g,
                      float x,
                      float y,
                      float w,
                      float h,
                      View v,
                      int item)

  Paints the css list decoration according to the attributes given.
  Parameters:
    `g` - the rendering surface.
    `x` - the x coordinate of the list item allocation
    `y` - the y coordinate of the list item allocation
    `w` - the width of the list item allocation
    `h` - the height of the list item allocation
    `s` - the allocated area to paint into.
    `item` - which list item is being painted. This is a number >= 0.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.